For the complete documentation index, see llms.txt. This page is also available as Markdown.

List clusters

Retrieves a list of MariaDB clusters.

get
/clusters
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
filter.namestringOptional

Response filter to list only the MariaDB clusters that contain the specified name. The value is case insensitive and matched on the 'displayName' field.

Responses
200

Successful operation.

application/json

Pagination information in list responses.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
totalintegerOptional

The total number of elements matching the request (without pagination).

Default: 0Example: 200
get/clusters
GET /clusters HTTP/1.1
Host: mariadb.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "items": [
    {
      "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "john.doe@example.com",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "jane.doe@example.com",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "state": "AVAILABLE"
      },
      "properties": {
        "displayName": "MariaDB cluster",
        "mariadbVersion": "10.6",
        "dnsName": "ma-yourcluster.mariadb.region.ionos.com",
        "instances": 3,
        "ram": 4,
        "cores": 4,
        "storageSize": 10,
        "connections": [
          {
            "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
            "lanId": "2",
            "cidr": "192.168.1.100/24"
          }
        ],
        "maintenanceWindow": {
          "time": "16:30:59",
          "dayOfTheWeek": "Monday"
        },
        "backup": {
          "location": "de"
        }
      }
    }
  ],
  "offset": 200,
  "limit": 100,
  "total": 200,
  "_links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  }
}

Last updated

Was this helpful?